Extending Qt Creator Manual | ImportInfo

Extending Qt Creator Manual 4.5.2

# ImportInfo Class

(QmlJS::ImportInfo)

- List of all members, including inherited members

## Public Functions

| ImportInfo()
QString | as() const
AST::UiImport * | ast() const
bool | isValid() const
QString | name() const
QString | path() const
ImportType::Enum | type() const
LanguageUtils::ComponentVersion | version() const

## Static Public Members

ImportInfo | implicitDirectoryImport(const QString &directory)
ImportInfo | invalidImport(AST::UiImport *ast = 0)
ImportInfo | moduleImport(QString uri, LanguageUtils::ComponentVersion version, const QString &as, AST::UiImport *ast = 0)
ImportInfo | pathImport(const QString &docPath, const QString &path, LanguageUtils::ComponentVersion version, const QString &as, AST::UiImport *ast = 0)
ImportInfo | qrcDirectoryImport(const QString &directory)

## Member Function Documentation

### ImportInfo::ImportInfo()

Default constructs an instance of ImportInfo.

### QString ImportInfo::as() const

### AST::UiImport *ImportInfo::ast() const

### `[static]` ImportInfo ImportInfo::implicitDirectoryImport(const QString &directory)

### `[static]` ImportInfo ImportInfo::invalidImport(AST::UiImport *ast = 0)

### bool ImportInfo::isValid() const

### `[static]` ImportInfo ImportInfo::moduleImport(QString uri, LanguageUtils::ComponentVersion version, const QString &as, AST::UiImport *ast = 0)

### QString ImportInfo::name() const

### QString ImportInfo::path() const

### `[static]` ImportInfo ImportInfo::pathImport(const QString &docPath, const QString &path, LanguageUtils::ComponentVersion version, const QString &as, AST::UiImport *ast = 0)

### `[static]` ImportInfo ImportInfo::qrcDirectoryImport(const QString &directory)

### ImportType::Enum ImportInfo::type() const

### LanguageUtils::ComponentVersion ImportInfo::version() const